Update a single pivot view#

Description#

Updates the view that matches the provided ID with the details provided in the body. The associated query can’t be updated, so providing the query ID has no effect.

PUT /api/v1/pivotview/{pivotViewId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

pivotViewId

path

string

true

The unique identifier of the pivot view

body

body

PivotViewDto

true

The representation of the pivot view to create

Body parameter example#

{
  "additionalMeta": {
    "property1": null,
    "property2": null
  },
  "description": "string",
  "name": "string",
  "queryId": "string",
  "queryResultId": "string"
}

Code Samples#

curl -X PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId} \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId} \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=PUT "https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId}" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.put('https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains the a PivotViewDto object for the updated pivot view.

Example Responses#

{
  "body": {
    "additionalMeta": {},
    "created": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "parentId": "string",
    "queryId": "string",
    "queryResultId": "string",
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}